
Figure - Bug #117752
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】使用蓝牙鼠标移动小窗/mini小窗位置，应用重启（必现）
2023-05-04 17:18 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-04

Priority: High Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0097.C103(X103)

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Release Test Root cause: native层对BT Mouse不支持

Description

【前置条件】

设备连接蓝牙鼠标

【测试步骤】

打开一个小窗应用，使用鼠标移动小窗位置

【预期结果】

可正常移动小窗位置

【测试结果】

小窗应用重启了

备注：使用手指触摸操作无该问题

Related issues:

Related to Figure - Bug # 117753: 【AF】【EVT3】【日志】概率出现（3/10... CLOSED 2023-05-04

History

#1 - 2023-05-04 17:41 - 物联网测试组_CDTS  唐霞 

- File 0504.txt added

#2 - 2023-05-04 17:45 - 物联网测试组_CDTS  唐霞 

- File 504log.txt added

#3 - 2023-05-04 20:18 - CD FW-鲁凯峰

从错误日志看,应该是小窗对蓝牙鼠标移动的处理有问题导致的,目前的想法是在小窗模式下屏蔽掉蓝牙鼠标的移动

05-04 09:39:37.782 16108 16108 F DEBUG   : * 

05-04 09:39:37.782 16108 16108 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3161:user/test-keys'

05-04 09:39:37.782 16108 16108 F DEBUG   : Revision: '0'

05-04 09:39:37.782 16108 16108 F DEBUG   : ABI: 'arm64'

05-04 09:39:37.782 16108 16108 F DEBUG   : Timestamp: 2023-05-04 09:39:37.451932556+0800

05-04 09:39:37.782 16108 16108 F DEBUG   : Process uptime: 137s

05-04 09:39:37.782 16108 16108 F DEBUG   : Cmdline: system_server

05-04 09:39:37.782 16108 16108 F DEBUG   : pid: 11394, tid: 11415, name: android.anim  >>> system_server <<<

05-04 09:39:37.782 16108 16108 F DEBUG   : uid: 1000

05-04 09:39:37.782 16108 16108 F DEBUG   : signal 6 (SIGABRT), code 1 (SI_QUEUE), fault addr -------

05-04 09:39:37.782 16108 16108 F DEBUG   : Abort message: 'Mismatching number of pointers, idBits=1, positions=2'
05-04 09:39:37.782 16108 16108 F DEBUG   :     x0  0000000000000000  x1  0000000000002c97  x2  0000000000000006  x3  000000723eaa25d0

05-04 09:39:37.782 16108 16108 F DEBUG   :     x4  626f1f3630221f39  x5  626f1f3630221f39  x6  626f1f3630221f39  x7  7f7f7f7f7f7f7f7f

05-04 09:39:37.782 16108 16108 F DEBUG   :     x8  00000000000000f0  x9  736b59b1e7c070fd  x10 0000000000000000  x11 ffffff80fffffbdf

05-04 09:39:37.782 16108 16108 F DEBUG   :     x12 0000000000000001  x13 0000000000000e33  x14 000000723eaa13e0  x15 0000000034155555

05-04 09:39:37.782 16108 16108 F DEBUG   :     x16 00000075f0572060  x17 00000075f054e560  x18 000000723e1a8000  x19 0000000000002c82

05-04 09:39:37.782 16108 16108 F DEBUG   :     x20 0000000000002c97  x21 00000000ffffffff  x22 00000072ca89388c  x23 0000000000000000

05-04 09:39:37.782 16108 16108 F DEBUG   :     x24 00000072ca8b645e  x25 0000000000000001  x26 00000072cbbc515c  x27 00000072cb217000

05-04 09:39:37.782 16108 16108 F DEBUG   :     x28 b4000072f3accbd0  x29 000000723eaa2650

05-04 09:39:37.782 16108 16108 F DEBUG   :     lr  00000075f04fe95c  sp  000000723eaa25b0  pc  00000075f04fe988  pst 0000000000001000

05-04 09:39:37.782 16108 16108 F DEBUG   : backtrace:

05-04 09:39:37.782 16108 16108 F DEBUG   :       #00 pc 0000000000051988  /apex/com.android.runtime/lib64/bionic/libc.so (abort+168) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

05-04 09:39:37.782 16108 16108 F DEBUG   :       #01 pc 0000000000635210  /apex/com.android.art/lib64/libart.so (art::Runtime::Abort(char const)+708) (BuildId:

5dc9131f1682d0e95179a6a72087253c)

05-04 09:39:37.782 16108 16108 F DEBUG   :       #02 pc 0000000000016bc4  /system/lib64/libbase.so (android::base::SetAborter(std::__1::function<void (char

const*)>&&)::$_3::__invoke(char const*)+80) (BuildId: 96895dcea0300fc102132e9762aef6bc)

05-04 09:39:37.782 16108 16108 F DEBUG   :       #03 pc 0000000000006f14  /system/lib64/liblog.so (_android_log_assert+312) (BuildId:

467c2038cdfa767245f9280e657fdb85)

05-04 09:39:37.782 16108 16108 F DEBUG   :       #04 pc 0000000000042728  /system/lib64/libinput.so (android::VelocityTracker::addMovement(long, android::BitSet32,

std::_1::vector<android::VelocityTracker::Position, std::__1::allocator<android::VelocityTracker::Position> > const&)+348) (BuildId:

90c357e19f1902efcc91d110972dd3bc)

05-04 09:39:37.782 16108 16108 F DEBUG   :       #05 pc 000000000004298c  /system/lib64/libinput.so (android::VelocityTracker::addMovement(android::MotionEvent

const*)+584) (BuildId: 90c357e19f1902efcc91d110972dd3bc)

#4 - 2023-05-09 16:35 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

198378 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: add not support actionshow a warning toast when moved by mouseTC-RID: 1201-0204601IssueID: TS-R-BUG-117752Change-Id:

I295c6d412b47585539e9f14b9aa76e2a0e276616

#5 - 2023-05-09 16:38 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to 物联网测试组_CDTS  唐霞 

- Root cause set to native层对BT Mouse不支持

■ Current conclusion

问题已经解决

■ My analysis

和客户沟通后,不支持使用蓝牙鼠标对小窗进行移动操作,会提示"不支持的操作模式"

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/198378
#6 - 2023-05-09 16:38 - CD FW-鲁凯峰

- Resolution changed from -- to FIXED

#7 - 2023-05-11 15:02 - 物联网测试组_CDTS  唐霞 

验证通过，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103

#8 - 2023-05-11 15:02 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

#9 - 2023-05-11 15:03 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

Files

蓝牙鼠标移动小窗应用重启.mp4 4.38 MB 2023-05-04 物联网测试组_CDTS  唐霞 

0504.txt 9.1 MB 2023-05-04 物联网测试组_CDTS  唐霞 

504log.txt 6.78 MB 2023-05-04 物联网测试组_CDTS  唐霞 
